Subject: Re: Git sideband hook output

From: Johannes Sixt <[email-masked]>
Date: Wed, 09 Jun 2010 08:10:47 +0200

Am 6/8/2010 22:32, schrieb Scott Chacon:
> Prior to 6d525d where Shawn made the receive-pack process send hook
> output over side band #2, how did the hook output get sent to the
> client?  On older clients (before this commit) and on older servers,
> the hook output just shows up without the 'remote:' prefix.  After
> this commit I get the 'remote:' prefix, which is kind of annoying.  Is
> there a way to suppress this to get the old output format?  Or a
> recommended way of patching the client/server in future versions to
> get the old format back?

What happens if your git-receive-pack does not announce side-band-64k?

-- Hannes